package com.njcn.gather.system.pojo.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum SystemResponseEnum {

    /**
     * 系统模块异常响应码的范围：
     * A01000 ~ A01
     */
    DICT_TYPE_REPEAT("A01000", "字典类型名称或编码重复"),
    DICT_DATA_REPEAT("A01002", "字典数据名称或编码重复"),
    DICT_PQ_NAME_EXIST("A01003", "当前数据模型及相别下已存在相同名称"),
    EXISTS_CHILDREN_NOT_DELETE("A01004", "当前字典下存在子字典，不能删除"),
    CODE_REPEAT("A01005", "该层级下已存在相同的编码"),
    CAN_NOT_DELETE_USED_DICT("A01006", "该字典在使用中，不能删除"),
    CAN_NOT_UPDATE_USED_DICT("A01007", "该字典在使用中，不能修改"),
    LOG_RECORD_FAILED("A01008", "日志记录失败"),


    GET_MAC_ADDRESS_FAILED("A01040", "获取本机MAC地址失败"),
    REGISTRATION_CODE_FORMAT_ERROR("A01041", "注册码格式错误"),
    MAC_ADDRESS_NOT_MATCH("A01042","注册码中的MAC地址与本机MAC地址不匹配"),
    REGISTRATION_CODE_EXPIRED("A01043","注册码已过期"),
    FILE_NOT_FOUND("A01050", "模板文件不存在"),
    FILE_IO_ERROR("A01051", "文件读写异常"),;

    private final String code;

    private final String message;

    SystemResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
